Subject: Re: [bitcoin-dev] A Method for Computing Merkle Roots of Annotated Binary Trees

From: Peter Todd <[email-masked]>
Date: Sat, 27 May 2017 13:41:38 -0400

On Mon, May 22, 2017 at 06:32:38PM -0400, Russell O'Connor wrote:
> On May 22, 2017 23:05, "Peter Todd" <[email-masked]> wrote:
> 
> On Mon, May 22, 2017 at 03:05:49AM -0400, Russell O'Connor via bitcoin-dev
> wrote:
> >     MerkleRoot := SHA256(SHA256(LeftRoot ⋅ RightRoot))
> >     sha256Compress : Word256 × Word512 -> Word256
> 
> To be clear, what math operations do you mean by "⋅" and "×"?
> 
> 
> By "⋅", I usually mean concatenation (though I also use it for function
> composition in one instance).   By "×", I mean the Cartesian product.

Cartesian product can mean a lot of things.

What specifically do you mean by "cartesian product" here?

-- 
https://petertodd.org 'peter'[:-1]@petertodd.org